Namespace
arm64v8
Image / Tag
openjdk:22-ea-24-bookworm
Content Digest
sha256:8028ca8d64d3acd40a6f0eb5ec89afc575284740d688d68a60549ef1b5a5e557
Details
Created

2023-11-21 10:29:33 UTC

Size

341 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-22

JAVA_VERSION

22-ea+24

LANG

C.UTF-8

PATH

/usr/local/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df2021ddb7d686bdbb125598b2a6163d63035f080356b3014595f354ea0b40d6 - 13.88% (47.3 MB)

[#001] sha256:8d647f1dd7e741209a8a75083ccc889e39cb3e94c17f45441eae96e1a679d971 - 6.6% (22.5 MB)

[#002] sha256:5cdd9a70365f741a6b9f7a4e32cdb7d4aa29ac73da0b78ca0a83e937f285fdd5 - 17.91% (61 MB)

[#003] sha256:eeb3b49b5f442227c66e95ff2e626b9a41b4c0f512bf33e32179c1f8ad50973a - 4.96% (16.9 MB)

[#004] sha256:34e5627f7b85d3c4e07749cf2ae1edea3925ffd14fef5928ff217fcab2eda422 - 56.65% (193 MB)


History
2023-11-21 06:26:54 UTC

/bin/sh -c #(nop) ADD file:6550a7c17e64067114283d098e85f9a74d4707f2879b53c2e4cae99f329c9025 in /

2023-11-21 06:26:55 UTC

/bin/sh -c #(nop) CMD ["bash"]

2023-11-21 07:57:33 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl gnupg netbase sq wget ; rm -rf /var/lib/apt/lists/*

2023-11-21 07:57:47 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2023-11-21 10:29:23 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils binutils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2023-11-21 10:29:23 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-22

2023-11-21 10:29:23 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-11-21 10:29:23 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-11-21 10:29:23 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+24

2023-11-21 10:29:31 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk22/24/GPL/openjdk-22-ea+24_linux-x64_bin.tar.gz'; downloadSha256='f2b3d5371bc7ab762205f286fc5b5da9dabbdd0477965fc87d02076faf69ab3a'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk22/24/GPL/openjdk-22-ea+24_linux-aarch64_bin.tar.gz'; downloadSha256='909c2841030baff026a45248785f3dc50906ce921620913a28b8d6cca0075838'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-11-21 10:29:33 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete